import upload from '@/utils/upload'
import request from '@/utils/request'
const lrr_service_category = 'service_category';

// 获取选择项健值第一项
// export function typeOptionSelect(params = {}) {
// 	return request({
// 		url: '/system/dict/data/list',
// 		method: 'get',
// 		params
// 	})
// }

// // 获取选择项健值第二项
// export function dictListlrRstudy(params = {}) {
// 	return request({
// 		url: '/system/dict/data/list',
// 		method: 'get',
// 		params
// 	})
// }

// 获取选择项健值第三项
export function dictListlrData(params) {
	return request({
		url: '/system/dict/data/list',
		method: 'get',
		params:{
			pageNum: 1,
			pageSize: 10,
			dictType: order_status,
		}
	})
}




// 获取志愿者详情页
export function getDetailsvolunteerId(data) {
  return request({
    url: `/core/volunteer/info/getDetails`, 
    method: 'post',
    data,
  })
}


// 获取志愿者列表信息
export function volunteerinfolist(params) {
  return request({
    url: '/core/volunteer/info/list',
    method: 'get',
	params:params
  })
}


// 获取志愿者所有排班时间
export function volunteergetTimesByDate(params) {
  return request({
    url: '/core/volunteer/work-date/getTimesByDate',  
    method: 'get',
	params:params,
  });
}


// 志愿者排班日期
export function volunteerwork(params) {
  return request({
    url: '/core/volunteer/work-date/getVolunteerWorkDate',  
    method: 'get',
	  params:params
  });
}





// 确认支付
export function ordersCreateOrder(data) {
  return request({
    url: '/core/users/orders/createOrder',  
    method: 'post',
	data:data,
  });
}



//查询所有业务列表(树形结构)
export function volunteerSeachgetTreeList(params) {
  return request({
    url: '/core/business/management/getTreeList',  
    method: 'get',
	params:params,
  });
}


// 获取服务类型健值
export function volunteerDataList(params) {
  return request({
    url: 'system/dict/data/list',  
    method: 'get',
	params:params,
  });
}


// 支付失败/取消支付
export function coreUsersOrdersPayCancel(data) {
  return request({
    url: '/core/users/orders/PayCancel',
    method: 'post',
    data: data,
  })
}


// 获取志愿者图片列表
export function volunteerVolunteerPicture(params) {
  return request({
    url: '/core/volunteer/info/volunteerPicture',
    method: 'get',
    params: params,
  })
}

// 滚动文字
export function systemConfig(params) {
  return request({
    url: '/system/config/getHomeRollText',
    method: 'get',
    params: params,
  })
}

